#
# spec file for package vollkorn-fonts
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define fontname Vollkorn

Name:           vollkorn-fonts
Version:        3.005
Release:        7.5
Summary:        An serif font for everyday use
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://vollkorn-typeface.com/
Source0:        %{fontname}-%{version}.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
From the Vollkorn webpage:
Vollkorn intends to be a quiet, modest, and well working text face.
It has dark and meaty serifs and a bouncing and healthy look.
It might be used as body type as well as for headlines or titles.

»Vollkorn« (pronounced »Follkorn«) is German for »wholemeal«
which refers to the old term »Brotschrift«.

%prep
%setup -T -c %{name} -n %{name}
unzip %{SOURCE0}
chmod 644 *.txt TTF/*.ttf
# Remove DOS line endings:
for i in *.txt; do
 sed -i 's/.$//' $i
done

[ -e __MACOSX  ] && rm -rf __MACOSX/
[ -e EOT  ] && rm -rf EOT/
[ -e PS-OTF  ] && rm -rf PS-OTF/
[ -e WOFF  ] && rm -rf WOFF/

%build
# -- nop --

%install
mkdir -p  %{buildroot}%{_ttfontsdir}/
install -c -m 644 TTF/*.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc *.txt
%{_ttfontsdir}

%changelog
* Fri Jun 13 2014 sknorr@suse.de
- update fonts to 3.005
- update URL to vollkorn-typeface.com
- remove -j parameter from unzip, as that was not helpful
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Wed Jan  4 2012 toms@suse.de
- Updated to version 2.1 from the author's homepage
* Sun Sep 26 2010 toms@suse.de
- First initial release
